@media only screen and (max-width : 1800px){
    footer{
        padding: 0 90px;
    }
}

@media only screen and (max-width : 1600px){
    footer .upper_part{
        margin-bottom: 40px;
    }

    footer .upper_part .icon svg {
        height: 55px;
    }

    footer .upper_part .links {
        gap: 41px;
    }

    footer .upper_part .links a {
        font-size: 16px;
    }


    footer .down_part{
        margin-bottom: 30px;
    }

    footer .down_part .links{
        gap: 60px;
        margin-bottom: 25px;
    }

    footer .down_part .links a {
        font-size: 18px;
    }

    footer .down_part p{
        font-size: 16px;
    }
}

@media only screen and (max-width : 1400px){
    footer{
        padding: 0 50px;
    }
}

@media only screen and (max-width : 1100px){
    footer .upper_part {
        flex-direction: column;
        padding-top: 40px;
        margin-bottom: 75px;
    }

    footer .upper_part .icon {
        margin-bottom: 40px;
    }

    footer .upper_part .icon svg {
        height: 60px;
    }

    footer .upper_part .links {
        flex-direction: column;
        gap: 25px;
        margin-bottom: 0;
    }

    footer .upper_part .links a {
        font-size: 22px;
    }


    footer .down_part {
        margin-bottom: 40px;
    }

    footer .down_part .links {
        gap: 25px;
        flex-direction: column;
        align-items: center;
        margin-bottom: 25px;
    }

    footer .down_part .links a {
        width: fit-content;
        font-size: 22px;
    }

    footer .down_part p {
        font-size: 22px;
    }
}

@media only screen and (max-width : 760px){
    footer {
        padding: 0 30px;
    }
}

@media only screen and (max-width : 500px){
    footer {
        padding: 0 10px;
    }
}

@media only screen and (max-width : 400px){
    footer .upper_part {
        margin-bottom: 60px;
    }

    footer .upper_part .icon svg {
        height: 50px;
    }

    footer .upper_part .links a {
        font-size: 20px;
    }


    footer .down_part .links a {
        font-size: 20px;
    }

    footer .down_part p {
        font-size: 20px;
    }
}